## org.apache.axis.management.jmx
Class DeploymentAdministrator

    java.lang.Object
      org.apache.axis.management.jmx.DeploymentAdministrator

All Implemented Interfaces:
  DeploymentAdministratorMBean

public class DeploymentAdministrator
extends java.lang.Object
implements DeploymentAdministratorMBean

Constructor Summary
`DeploymentAdministrator()`

Method Summary
`void` `configureGlobalConfig(WSDDGlobalConfiguration config)`
`void` `deployHandler(WSDDHandler handler)`
`void` `deployService(WSDDServiceWrapper service)`
`void` `deployTransport(WSDDTransportWrapper transport)`
`void` `saveConfiguration()`
`void` `undeployHandler(java.lang.String qname)`
`void` `undeployService(java.lang.String qname)`
`void` `undeployTransport(java.lang.String qname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentAdministrator

    public DeploymentAdministrator()

Method Detail

### saveConfiguration

    public void saveConfiguration()

  Specified by:
    `saveConfiguration` in interface `DeploymentAdministratorMBean`

### configureGlobalConfig

    public void configureGlobalConfig(WSDDGlobalConfiguration config)

  Specified by:
    `configureGlobalConfig` in interface `DeploymentAdministratorMBean`

### deployHandler

    public void deployHandler(WSDDHandler handler)

  Specified by:
    `deployHandler` in interface `DeploymentAdministratorMBean`

### deployService

    public void deployService(WSDDServiceWrapper service)

  Specified by:
    `deployService` in interface `DeploymentAdministratorMBean`

### deployTransport

    public void deployTransport(WSDDTransportWrapper transport)

  Specified by:
    `deployTransport` in interface `DeploymentAdministratorMBean`

### undeployHandler

    public void undeployHandler(java.lang.String qname)

  Specified by:
    `undeployHandler` in interface `DeploymentAdministratorMBean`

### undeployService

    public void undeployService(java.lang.String qname)

  Specified by:
    `undeployService` in interface `DeploymentAdministratorMBean`

### undeployTransport

    public void undeployTransport(java.lang.String qname)

  Specified by:
    `undeployTransport` in interface `DeploymentAdministratorMBean`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.